Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDSTENTLESIONTYPEvalues

    java.lang.Object
      java.lang.Enum<CDSTENTLESIONTYPEvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDSTENTLESIONTYPEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDSTENTLESIONTYPEvalues>

    public enum CDSTENTLESIONTYPEvalues

extends Enum<CDSTENTLESIONTYPEvalues>

Java class for CD-STENT-LESIONTYPEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-STENT-LESIONTYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="simple"/>
         <enumeration value="multi-segment"/>
         <enumeration value="aorto-ostiale"/>
         <enumeration value="bifurcation"/>
         <enumeration value="occlusionchroniquetotplus3m"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AORTO_OSTIALE`
`BIFURCATION`
`MULTI_SEGMENT`
`OCCLUSIONCHRONIQUETOTPLUS_3_M`
`SIMPLE`

Method Summary
`static CDSTENTLESIONTYPEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDSTENTLESIONTYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDSTENTLESIONTYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMPLE

    public static final CDSTENTLESIONTYPEvalues SIMPLE

### MULTI_SEGMENT

    public static final CDSTENTLESIONTYPEvalues MULTI_SEGMENT

### AORTO_OSTIALE

    public static final CDSTENTLESIONTYPEvalues AORTO_OSTIALE

### BIFURCATION

    public static final CDSTENTLESIONTYPEvalues BIFURCATION

### OCCLUSIONCHRONIQUETOTPLUS_3_M

    public static final CDSTENTLESIONTYPEvalues OCCLUSIONCHRONIQUETOTPLUS_3_M

Method Detail

### values

    public static CDSTENTLESIONTYPEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDSTENTLESIONTYPEvalues c : CDSTENTLESIONTYPEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDSTENTLESIONTYPEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDSTENTLESIONTYPEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.